Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.converters
Class JSON.Builder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.BuilderSupport
              grails.converters.JSON.Builder

All Implemented Interfaces:
  groovy.lang.GroovyObject

Enclosing class:
  JSON

    public class JSON.Builder

extends groovy.util.BuilderSupport

Constructor Summary
`JSON.Builder(JSON json)`

Method Summary
`protected Object` | `createNode(Object name)`
`protected Object` | `createNode(Object key, Map valueMap)`
`protected Object` | `createNode(Object arg0, Map arg1, Object arg2)`
`protected Object` | `createNode(Object key, Object value)`
`void` | `execute(groovy.lang.Closure callable)`
`protected void` | `nodeCompleted(Object parent, Object node)`
`protected void` | `setParent(Object arg0, Object arg1)`

Methods inherited from class groovy.util.BuilderSupport
`doInvokeMethod, getCurrent, getName, invokeMethod, invokeMethod, postNodeCompletion, setClosureDelegate, setCurrent`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, getProperty, setMetaClass, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSON.Builder

    public JSON.Builder(JSON json)

Method Detail

### execute

    public void execute(groovy.lang.Closure callable)

### createNode

    protected Object createNode(Object name)

  Specified by:
    `createNode` in class `groovy.util.BuilderSupport`

### createNode

    protected Object createNode(Object key,
                                Map valueMap)

  Specified by:
    `createNode` in class `groovy.util.BuilderSupport`

### createNode

    protected Object createNode(Object arg0,
                                Map arg1,
                                Object arg2)

  Specified by:
    `createNode` in class `groovy.util.BuilderSupport`

### createNode

    protected Object createNode(Object key,
                                Object value)

  Specified by:
    `createNode` in class `groovy.util.BuilderSupport`

### nodeCompleted

    protected void nodeCompleted(Object parent,
                                 Object node)

  Overrides:
    `nodeCompleted` in class `groovy.util.BuilderSupport`

### setParent

    protected void setParent(Object arg0,
                             Object arg1)

  Specified by:
    `setParent` in class `groovy.util.BuilderSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD